#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

UPDATE="<update cat=\"control\" setting=\"request.reboot.when.done\"/>"

#check if PMP IN/OUT already updated
if [ -f /tmp/temp_pmp ];then
  #pmp already updated
  echo $STARTLOGINFO"  PMP already updated"$ENDLOGINFO
  RET_ERROR=$(cat /tmp/temp_pmp)
else
  echo $STARTLOGINFO"  programming PMP"$ENDLOGINFO
  /home/upgrade/tools/SPIflash.elf -t -f FLMpmp.bin -d /dev/spi-flash -s0 -v -r
  RET_ERROR=$?
  echo $RET_ERROR > /tmp/temp_pmp
fi

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new PMP firmware"$ENDLOGINFO
  RET_ERROR=2
else
  echo $UPDATE
fi
exit $RET_ERROR