#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming fan control board"$ENDLOGINFO
/home/upgrade/tools/8051flash.elf -t -f FLMFanCtrl.bin -d /dev/jtag-fan
RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new FCB firmware"$ENDLOGINFO
  exit $FATAL_ERROR
fi

sleep 1
TRY=1
while [ $TRY -le 5 ]
do
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_proj_mode(standby)")" = "ACK" ];then
    if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_proj_mode()")" = "standby" ];then
      echo $STARTLOGINFO"  projector in standby mode"$ENDLOGINFO

      echo $STARTLOGINFO"  reset FIB"$ENDLOGINFO
      /home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(fib_reset)"
      exit $NO_ERROR
    else
      echo $STARTLOGERROR"  failed to set projector in standby mode, retry"$ENDLOGINFO
      TRY=`expr $TRY + 1`
      sleep 1
    fi
  else
    echo $STARTLOGERROR"  failed to set projector in standby mode (no ACK), retry"$ENDLOGINFO
    TRY=`expr $TRY + 1`
    sleep 1
  fi
done

echo $STARTLOGERROR"  failed to set projector in standby mode"$ENDLOGINFO
exit $FATAL_ERROR
