#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new fan speed files"$ENDLOGINFO

FILE=/home/flm/fcb
DIRECTORY=/home/flm/fcb/
TYPE=`grep article_nmbr /home/flm/settings/type.ini| tr -d article_nmbr=`

if [ -f $FILE ];then
  rm $FILE
fi

if [ -d $DIRECTORY ];then
# remove all files
  rm $DIRECTORY*
  rm $DIRECTORY.version
else
  mkdir $DIRECTORY
fi

cp -Rd ./files/* $DIRECTORY
RET_ERROR=$?
cp ./files/.version $DIRECTORY
chmod +x $DIRECTORY/setup_fcb.sh
$DIRECTORY/setup_fcb.sh $TYPE


if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new fan speed files"$ENDLOGINFO
  RET_ERROR=2
#else
#  echo $STARTLOGINFO"  store new files in flash"$ENDLOGINFO
#  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "store_files()")" != "DONE" ];then
#    echo $STARTLOGINFO"  failed to store new files in flash"$ENDLOGINFO
#    RET_ERROR=2
#  fi
fi

exit $RET_ERROR
