#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new image files"$ENDLOGINFO

FILE=/home/flm/images

if [ -f $FILE ];then
  rm $FILE
fi

#fix metrack issue PRJ0106-179
FILE=/home/flm/images/tmp.txt
if [ -f $FILE ];then
  rm $FILE
fi

SOURCEDIR=./files
TARGETDIR=/home/flm/images

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR
cp -f $SOURCEDIR/* $TARGETDIR
RET_ERROR=$?
cp -f $SOURCEDIR/.version $TARGETDIR

THISDIR=`pwd`
cd $TARGETDIR

if [ -f hd-1920x1080@50i ];then
  rm hd-1920x1080@50i
fi

chmod 444 `ls $THISDIR/$SOURCEDIR`
chown root:root `ls $THISDIR/$SOURCEDIR`
chmod 444 .version
chown root:root .version
cd $THISDIR

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new image files"$ENDLOGINFO
  RET_ERROR=2
#else
#  echo $STARTLOGINFO"  store new files in flash"$ENDLOGINFO
#  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "store_files()")" != "DONE" ];then
#    echo $STARTLOGINFO"  failed to store new files in flash"$ENDLOGINFO
#    RET_ERROR=2
#  fi
fi

exit $RET_ERROR
