#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

MSG_START="<update cat=\"popup\" level=\""
MSG_TITLE="\" title=\""
MSG_MESSAGE="\" message=\""
MSG_HEADER_END="\">"
MSG_END="</update>"

BUTTON_START="<button name=\""
BUTTON_VALUE="\" value=\""
BUTTON_END="\"/>"

UPDATE="<update cat=\"control\" setting=\"request.reboot.when.done\"/>"

LAMP=0
STANDBY=0

echo $STARTLOGINFO"Switch projector to standby mode"$ENDLOGINFO

#check lamp status
if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_lamp_status()")" != "OFF" ];then
  LAMP=1
fi

#switch projector to standby mode
if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_proj_mode(standby)")" = "ACK" ];then
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_proj_mode()")" = "standby" ];then
    STANDBY=1
  fi
fi

if [ $STANDBY -eq 1 ]; then
  if [ $LAMP -eq 1 ]; then
    echo $STARTLOGINFO"  lamp was on, waiting 30 seconds for lamp to cool down ..."$ENDLOGINFO
    sleep 30
  fi
  echo $STARTLOGINFO"  projector in standby mode"$ENDLOGINFO
  exit $NO_ERROR
else
  echo $STARTLOGERROR"  failed to set projector in standby mode"$ENDLOGINFO
  if [ $LAMP -eq 0 ]; then
    echo $STARTLOGERROR"  but lamp is OFF so update can continue"$ENDLOGINFO
    exit $LOW_ERROR
  else
    ./send_to_sock.elf /home/shb/local_socket "show_message(reboot)"
#    echo $STARTLOGERROR"  failed to read lamp status"$ENDLOGINFO
#    echo $MSG_START"warning"$MSG_TITLE"failed to set projector in standby mode"$MSG_MESSAGE"failed to read lamp status, please press OK, reboot your projector and restart the upgrade"$MSG_HEADER_END
#    echo "  "$BUTTON_START"OK"$BUTTON_VALUE"0"$BUTTON_END
#    echo $MSG_END
#    read reply
    echo $UPDATE
    exit $FATAL_ERROR
  fi
fi
