#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new projector types"$ENDLOGINFO

FILE=/home/flm/types

if [ -f $FILE ];then
  rm $FILE
fi

SOURCEDIR=./files
TARGETDIR=/home/flm/types

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR
cp -f $SOURCEDIR/* $TARGETDIR
RET_ERROR=$?
cp -f $SOURCEDIR/.version $TARGETDIR

THISDIR=`pwd`
cd $TARGETDIR
chmod 444 `ls $THISDIR/$SOURCEDIR`
chown root:root `ls $THISDIR/$SOURCEDIR`
chmod 444 .version
chown root:root .version
cd $THISDIR

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new projector types"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR
