#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming SCALER"$ENDLOGINFO

cp ./device5.bin /home/flm/device5.bin
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new device5.bin"$ENDLOGINFO
  RET_ERROR=2
fi

cp ./sram.bin /home/flm/sram.bin
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new sram.bin"$ENDLOGINFO
  RET_ERROR=2
fi



if [ -f /tmp/restarted ];then
  #already restarted in flm_soft
else
  # kill program
  echo $STARTLOGINFO"  restarting flm software before update"$ENDLOGINFO
  kill $(pidof flm.elf)
  sleep 5
  
  #restart program
  /home/flm/run.sh &
  sleep 30
  
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(start)")" != "ACK" ];then
  #if it failes -> wait 15s again and then retry
    sleep 15 
    if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(start)")" != "ACK" ];then
      #if it failes -> wait 15s again and then retry
      sleep 15
      if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(start)")" != "ACK" ];then
        #if it failes -> wait 15s again and then retry
        sleep 15
      fi
    fi  
  fi
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_proj_mode()")" = "standby-eco" ];then
    /home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_proj_mode(standby)"
  fi
fi



echo $STARTLOGINFO"  restarting scaler update"$ENDLOGINFO
if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "start_scaler_prog()" 1200)" = "DONE" ];then
  RET_ERROR=$NO_ERROR
else
  RET_ERROR=$FATAL_ERROR
fi

rm -f /home/flm/device5.bin 1>/dev/null 2>/dev/null
rm -f /home/flm/sram.bin 1>/dev/null 2>/dev/null

echo $RET_ERROR > /tmp/temp_scaler

exit $RET_ERROR





