#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

# install startup scripts

echo $STARTLOGINFO"  installing new rc.local script"$ENDLOGINFO

SOURCEDIR=./
TARGETDIR=/etc/rc.d
FILE=rc.local

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

echo $STARTLOGINFO"  installing new startup.sh script"$ENDLOGINFO

SOURCEDIR=./
TARGETDIR=/home
FILE=startup.sh

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install startup scripts"$ENDLOGINFO
  RET_ERROR=2
fi

# setup symbolic links to program scripts

echo $STARTLOGINFO"  setup startup symbolic links"$ENDLOGINFO

TARGETDIR=/home/startup

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

TARGET=/home/upgrade/tools/broadcast_run.sh
LINK=/home/startup/broadcast.sh
rm -f $LINK
ln -s $TARGET $LINK

TARGET=/home/upgrade/tools/artnet_run.sh
LINK=/home/startup/artnet.sh
rm -f $LINK
ln -s $TARGET $LINK

TARGET=/home/flm/run.sh
LINK=/home/startup/flm.sh
rm -f $LINK
ln -s $TARGET $LINK


exit $RET_ERROR
