#!/bin/sh

# exit codes
# 0 = succes

VERSION="1.0.3"

# handle version request
if [ "$1" = "--version" ]; then
  echo -n $VERSION
  exit 0
fi

#this file will be recreated by flm.elf
rm -f /tmp/watchdog_started

while [ 1 ]; do
  sleep 120
  # If not blocked, check if main application is still running.
  FILE_FLM="/var/run/flm.pid"
  FILE_NO_FLM="/var/run/no_flm.pid"
  echo $(pidof flm.elf) > $FILE_FLM
  echo $(pidof "") > $FILE_NO_FLM
  NOPID=`cat $FILE_NO_FLM`
  PID=`cat $FILE_FLM`

  #If core dumped, zip and move it.
  if [ -f /tmp/core ]; then
    FLM_VERSION=`/home/flm/flm.elf --version`
    rm /home/upgrade/core-*
    gzip -c /tmp/core > /home/upgrade/core-$FLM_VERSION.gz
    rm /tmp/core
  fi
  if [ -f /tmp/watchdog_started ]; then
    if [ ! -f /tmp/watchdog_blocked -a $PID = $NOPID ]; then
      FLM_VERSION=`/home/flm/flm.elf --version`
      logger !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      logger $(date) $FLM_VERSION
      logger auto-reboot invoked
      logger !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      reboot
    fi
  fi

done
